Table of Contents

## Name

XSetWMClientMachine, XGetWMClientMachine - set or read a window's WM_CLIENT_MACHINE property

## Syntax

void XSetWMClientMachine(Display *display, Window w,
  XTextProperty *text_prop);
Status XGetWMClientMachine(Display *display, Window w,
  XTextProperty *text_prop_return);

## Arguments

Specifies the connection to the X server.

Specifies the XTextProperty structure to be used.

Returns the XTextProperty structure.

Specifies the window.

## Description

The XSetWMClientMachine convenience function calls XSetTextProperty to set the WM_CLIENT_MACHINE property.

The XGetWMClientMachine convenience function performs an XGetTextProperty on the WM_CLIENT_MACHINE property. It returns a nonzero status on success; otherwise, it returns a zero status.

## Properties

WM_CLIENT_MACHINE
  The string name of the machine on which the client application is running.

## See Also

XAllocClassHint(3X11) , XAllocIconSize(3X11) , XAllocSizeHints(3X11) , XAllocWMHints(3X11) , XSetCommand(3X11) , XSetTransientForHint(3X11) , XSetTextProperty(3X11) , XSetWMColormapWindows(3X11) , XSetWMIconName(3X11) , XSetWMName(3X11) , XSetWMProperties(3X11) , XSetWMProtocols(3X11) , XStringListToTextProperty(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Properties
- See Also